# Interface DeprecatedTree

All Superinterfaces:
  `BlockTagTree, DocTree`

public interface DeprecatedTree extends BlockTagTree
A tree node for an `@deprecated` block tag.

       @deprecated deprecated text

Since:
  1.8

## Nested Class Summary

### Nested classes/interfaces declared in interface DocTree

`DocTree.Kind`

## Method Summary

Modifier and Type
Method
Description
`List<? extends DocTree>`
`getBody()`
Returns the description explaining why an item is deprecated.

### Methods declared in interface BlockTagTree

`getTagName`

### Methods declared in interface DocTree

`accept, getKind`

## Method Details

### getBody

List<? extends DocTree> getBody()
Returns the description explaining why an item is deprecated.

Returns:
  the description